From fbb105438e8f66f05a1a4e053d5f62471770beeb Mon Sep 17 00:00:00 2001
From: Deepak Dhamdhere <ddhamdhe@codeaurora.org>
Date: Wed, 6 Dec 2017 13:32:42 -0800
Subject: [PATCH 1/3] qcacld-3.0: Enable OCE options in WCNSS_qcom_cfg.ini

1. Enable SAP, i.e. STA-CFON related options
2. Disable adaptive dwell time
3. Use parameters suitable for AP selection metrics.

This change is required only for WFA branch.

CRs-Fixed: 2142139
Change-Id: Iab90ad578658bb2a1f5af78d6329c4fb94da92e7
---
 WCNSS_qcom_cfg.ini | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/WCNSS_qcom_cfg.ini b/WCNSS_qcom_cfg.ini
index aa9db64..81350bb 100644
--- a/WCNSS_qcom_cfg.ini
+++ b/WCNSS_qcom_cfg.ini
@@ -433,14 +433,28 @@ gEnableFlowSteering=1
 gEnableNanSupport=1
 ################ NAN feature set end #####################
 
-adaptive_dwell_mode_enabled=1
+# Disable adaptive dwell time feature for WFA OCE compatibility
+adaptive_dwell_mode_enabled=0
 
-hostscan_adaptive_dwell_mode=1
+hostscan_adaptive_dwell_mode=0
 
 adapt_dwell_lpf_weight=80
 
 adapt_dwell_wifi_act_threshold=10
 
+# Enable various OCE features
+oce_enable_fils_discovery_sap=1
+oce_enable_probe_req_rate=1
+oce_enable_probe_resp_rate=1
+oce_enable_beacon_rate=1
+oce_enable_probe_req_deferral=1
+
+# Disable bssid_hint to allow AP selection metrics
+g_is_bssid_hint_priority=0
+
+# Threshold for AP selection metrics
+esp_qbss_score_idx7_to_4=0000000A
+
 END
 
 # Note: Configuration parser would not read anything past the END marker
-- 
1.9.1


From 2d5017e7678add311e25e39c94af59c9b9c28cc9 Mon Sep 17 00:00:00 2001
From: Ankita Bajaj <bankita@codeaurora.org>
Date: Wed, 4 Oct 2017 18:10:53 +0530
Subject: [PATCH 2/3] Enable interworking in wpa_supplicant

Set interworking bit in Probe Request.

CRs-Fixed: 2120709
Change-Id: I62fd1173fac33951bf776d401f5d54d6e956fc0d
---
 wpa_supplicant_overlay.conf | 1 +
 1 file changed, 1 insertion(+)

diff --git a/wpa_supplicant_overlay.conf b/wpa_supplicant_overlay.conf
index 58c2639..af0e834 100644
--- a/wpa_supplicant_overlay.conf
+++ b/wpa_supplicant_overlay.conf
@@ -1,2 +1,3 @@
 disable_scan_offload=1
 p2p_disabled=1
+interworking=1
-- 
1.9.1


From 696e8e62ae433744b8e258c94c2365e2585a954c Mon Sep 17 00:00:00 2001
From: Deepak Dhamdhere <ddhamdhe@codeaurora.org>
Date: Sat, 10 Feb 2018 17:38:22 -0800
Subject: [PATCH 3/3] qcacld-3.0: Enable DPP and WPA3 options for WFA tests

DPP and WPA3 is disabled by default in the driver. Enable the features
for the purpose of WFA testing.

Enable SAE and GCMP

CRs-Fixed: 2187911
Change-Id: I545a7dce49aff0d2d1a94a7935914dae9a7d930f
---
 WCNSS_qcom_cfg.ini | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/WCNSS_qcom_cfg.ini b/WCNSS_qcom_cfg.ini
index 81350bb..48200ab 100644
--- a/WCNSS_qcom_cfg.ini
+++ b/WCNSS_qcom_cfg.ini
@@ -455,6 +455,11 @@ g_is_bssid_hint_priority=0
 # Threshold for AP selection metrics
 esp_qbss_score_idx7_to_4=0000000A
 
+# Enable DPP and WPA3 features
+sae_enabled=1
+gcmp_enabled=1
+force_rsne_override=1
+
 END
 
 # Note: Configuration parser would not read anything past the END marker
-- 
1.9.1

